<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Phoenix Song: Echo (2021)</Series>
  <Number>3</Number>
  <Web>https://www.comixology.com/Phoenix-Song-Echo-2021-3-of-5/digital-comic/967822</Web>
  <Summary>THE ANCESTRAL PHOENIX OF CAHOKIA! On the run from a time-hopping enemy, Echo and her ally River find themselves in the ancient city of Cahokia—in the path of a Phoenix lost to history! As Echo’s present and future disappear, will her powers wane? And will this ancestor help…or take the dregs of Echo’s fire for herself?</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB967822], [ASINB09G4FHF51], [RELDATE:2021-12-22]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Action/Adventure, Superhero</Genre>
  <PageCount>22</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
